-- Leo's gemini proxy

-- Connecting to git.thebackupbox.net:1965...

-- Connected

-- Sending request

-- Meta line: 20 text/gemini

repo: music
action: commit
revision:
path_from:
revision_from: 6c6e51db5d71b4abfee8735d6bb699e3be382bfe:
path_to:
revision_to:

git.thebackupbox.net

music

git://git.thebackupbox.net/music

commit 6c6e51db5d71b4abfee8735d6bb699e3be382bfe
Author: epoch <epoch@hacking.allowed.org>
Date:   Thu Jul 30 08:20:24 2020 -0500

    outputs sixels only if a variable is set

diff --git a/music-nowplaying b/music-nowplaying

index 5ee7112ae7f9f402056be82582bd8bcfb9b3f6d1..

index ..18f89764f3869dead5a439ca93000f524ea5a7c4 100755

--- a/music-nowplaying
+++ b/music-nowplaying
@@ -1,2 +1,6 @@
 #!/bin/sh
-cat ${PREFIX}/var/cache/music-nowplaying.txt
+if [ "$want_six" ];then
+  cat ${PREFIX}/var/cache/music/nowplaying.txt 2>/dev/null || echo 'off the air'
+else
+  head -n1 ${PREFIX}/var/cache/music/nowplaying.txt 2>/dev/null || echo 'off the air'
+fi

-----END OF PAGE-----

-- Response ended

-- Page fetched on Sun Jun 2 16:24:17 2024